--author: igor29381

registerCategory = {};

function registerCategory:loadMap(name)
	local category = FillUtil.registerFillTypeCategory("concreteCat");
	local index = FillUtil.fillTypeNameToInt["concrete"];
	if index then
		FillUtil.addFillTypeToCategory(category, index);
	end;
end;

function registerCategory:deleteMap()
end;

function registerCategory:mouseEvent(posX, posY, isDown, isUp, button)
end;

function registerCategory:keyEvent(unicode, sym, modifier, isDown)
end;

function registerCategory:update(dt)
end;

function registerCategory:draw()
end;

addModEventListener(registerCategory);
